.push-button{
    background: var(--color-parts);
    text-align: center;
    padding: 0.3rem 0.5rem;
    border: 0.1rem solid var(--color-parts-border);
}

.push-button:hover{
    background: var(--color-parts-hover);
}

.refresh-button {
  background-color: var(--color-parts);
  padding: 0.3rem 0.51rem;
  border: 0.1rem solid var(--color-parts-border);
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.refresh-button:hover {
  background-color: var(--color-parts-hover);
  transform: scale(1.05);
}

.close-button {
  position: relative;
  width: 2.0rem;
  height: 2.0rem;
  background-color: var(--color-parts);
  border: 0.1rem solid var(--color-parts-border);
  cursor: pointer;
}
.close-button::before,
.close-button::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 2px;
  background-color: var(--color-text);
  transform-origin: center;
}
.close-button::before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.close-button::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.close-button:hover {
  background-color: var(--color-parts-hover);
}